<?php
namespace app\cms\loglic;

class Count
{
    public function category()
    {
        return db('term')->where(['term_module'=>'cms','term_controll'=>'category'])->count('term_id');
    }
    
    public function tag()
    {
        return db('term')->where(['term_module'=>'cms','term_controll'=>'tag'])->count('term_id');
    }
    
    public function views()
    {
        if(config('cache.expire_detail')){
            return db('info')->where(['info_module'=>'cms'])->cache(config('cache.expire_detail'))->sum('info_views');
        }
        return db('info')->where(['info_module'=>'cms'])->sum('info_views');
    }
    
    public function detail()
    {
        return db('info')->where(['info_module'=>'cms'])->count();
    }
}