<?php
//插件语言包
return [
    //错误信息
    'cms_error_params'              => '参数错误',
    'cms_error_empty'               => '未查询到相关信息',
    'cms_error_rest'                => '请先休息一下',
    
    //后台管理
    'cms/config/index'              => '基本设置',
    'cms/admin/index'               => '文章管理',
    'cms/admin/create'              => '添加文章',
    'cms/admin/edit'                => '修改文章',
    'cms/admin/save'                => '保存文章',
    'cms/admin/delete'              => '删除文章',
    'cms/seo/index'                 => 'SEO优化',
    'cms/collect/index'             => '采集管理',
    'cms/collect/create'            => '添加采集',
    'cms/collect/edit'              => '修改采集',
    'cms/collect/save'              => '保存采集规则',
    'cms/collect/delete'            => '删除采集规则',
    'cms/collect/write'             => '一键采集数据',
    'cms/collect/server'            => '资源站',
    'cms/data/index'                => '文章API',
    'cms/baidu/index'               => '百度推送',
    
    //后台管理 > 基础配置
    'cms_theme'                     => '模板主题',
    'cms_theme_wap'                 => '移动端主题',
    'cms_slug_first'                => '别名首字母',
    'cms_action_name'               => '扩展内容模块',
    'cms_action_name_tips'          => '逗号分隔，“=>”分隔描述信息',
    'cms_type_option'               => '扩展文章类型',
    'cms_type_option_tips'          => '逗号分隔，“=>”分隔描述信息',
    'cms_request_max'               => '最大请求次数',
    'cms_request_max_tips'          => '60秒内最大请求次数，设为0不启用',
    'cms_search_interval'           => '搜索间隔频率',
    'cms_search_interval_tips'      => '规定时间内（秒）只能请求一次，设为0不启用',
    'cms_search_hot'                => '热门关键词',
    'cms_search_hot_tips'           => '逗号分隔热门搜索关键词',
    'cms_search_list'               => '搜索引擎列表',
    'cms_search_list_tips'          => '逗号分隔，留空则不启用',
    'cms_post_pwd'                  => '采集器入库密码',
    'cms_post_pwd_tips'             => '使用采集器入库时必须添加的密码字段（post_pwd）',
    'cms_baidu_api'                 => '百度API提交',
    'cms_baidu_api_tips'            => '请到百度搜索资源平台申请API',
    'cms_limit_index'               => '首页每页数量',
    'cms_limit_category'            => '分类页每页数量',
    'cms_limit_tag'                 => '标签页每页数量',
    'cms_limit_search'              => '搜索页每页数量',
    'cms_limit_filter'              => '筛选页每页数量',
    'cms_limit_sitemap'             => '地图页每页数量',
    'cms_limit_tags'                => '聚合页每页数量',
    'cms_info_meta'                 => '自定义文章字段',
    'cms_info_meta_tips'            => '可自行扩展文章模型的字段，json格式',
    
    //后台管理 > SEO优化
    'cms_seo_title'                 => 'SEO标题',
    'cms_seo_keywords'              => 'SEO关键字',
    'cms_seo_description'           => 'SEO描述',
    'cms_rewrite_index'             => '频道页伪静态',
    'cms_rewrite_category'          => '分类页伪静态',
    'cms_rewrite_tag'               => '标签页伪静态',
    'cms_rewrite_search'            => '搜索页伪静态',
    'cms_rewrite_detail'            => '内容页伪静态',
    'cms_rewrite_page'              => '单页伪静态',
    'cms_index_title'               => '首页标题',
    'cms_index_keywords'            => '首页关键字',
    'cms_index_description'         => '首页描述',
    'cms_search_title'              => '搜索页标题',
    'cms_search_keywords'           => '搜索页关键字',
    'cms_search_description'        => '搜索页描述',
    'cms_category_title'            => '所有分类页标题',
    'cms_category_keywords'         => '所有分类页关键字',
    'cms_category_description'      => '所有分类页描述',
    'cms_tag_title'                 => '标签列表页标题',
    'cms_tag_keywords'              => '标签列表页关键字',
    'cms_tag_description'           => '标签列表页描述',
    
    //统计模块
    'cms/count/category'            => '文章分类',
    'cms/count/tag'                 => '文章标签',
    'cms/count/detail'              => '文章内容',
    'cms/count/view'                => '文章流量',
    
    //搜索模块
    'cms/search/index'              => '文章',
    'cms/search/baidu'              => '百度',
    'cms/search/sogou'              => '搜狗',
    'cms/search/toutiao'            => '头条',
    'cms/search/bing'               => '必应',
    'cms/search/so'                 => '360',
    
    //采集模型
    'collect_name'                  => '资源站名',
    'collect_url'                   => '资源地址',
    'collect_token'                 => '授权密钥',
    'collect_category'              => '分类转换',
    'collect_url_tips'              => 'http或https开头的网址',
    'collect_token_tips'            => '不单独设置则使用系统全局设置的令牌',
    'collect_category_tips'         => '一行一个，使用 => 分隔，不存在的分类在采集时会自动创建',
    'collect_error_404'             => '无法链接资源站，请检查是否禁用了CURL函数',

    //文章模型
    'cms_type'                      => '类型',
    'cms_type_index'                => '标准',
    'cms_type_image'                => '图文',
    'cms_type_album'                => '相册',
    'cms_type_video'                => '视频',
    'cms_type_auido'                => '音频',
    'cms_type_link'                 => '链接',
    'cms_status'                    => '状态',
    'cms_id'                        => 'ID',
    'cms_name'                      => '文章标题',
    'cms_slug'                      => '固定链接',
    'cms_content'                   => '详情内容',
    'cms_color'                     => '标题颜色',
    'cms_cover'                     => '文章封面',
    'cms_slide'                     => '头条封面',
    'cms_letter'                    => '首字母',
    'cms_category'                  => '分类',
    'cms_tag'                       => '标签',
    'cms_attr'                      => '属性',
    'cms_head'                      => '头条',
    'cms_fast'                      => '快审',
    'cms_recommend'                 => '推荐',
    'cms_top'                       => '置顶',
    'cms_up'                        => '点赞',
    'cms_down'                      => '讨厌',
    'cms_tpl'                       => '模板名',
    'cms_referer'                   => '来源',
    //文章提示
    'cms_letter_placeholder'        => '不填写时自动生成标题首字母',
    'cms_name_placeholder'          => '文章标题必需填写',
    'cms_referer_placeholder'       => '文章来源（来源网址|链接网址|转载出处）',
    'cms_tpl_placeholder'           => '模板文件名，不带后缀',
    //表单验证
    'cms_info_id_require'           => '内容ID不存在',
    'cms_info_slug_unique'          => '别名URL已存在',
    'cms_referer_unique'            => '来源地址已存在',

    //前台描述
    'cms_index_views'               => '人气文章',
    'cms_index_news'                => '最近更新',
    'cms_index_top'                 => '置顶文章',
    'cms_index_recommend'           => '推荐文章',
    'cms_index_fast'                => '快审文章',
    'cms_index_head'                => '头条文章',
    'cms_order_desc'                => '倒序',
    'cms_order_asc'                 => '正序',
    'cms_post_config'               => '请先在后台设置入库密码',
    'cms_post_empty'                => '未找到密码字段（post_pwd）',
    'cms_post_wrong'                => '采集器入库密码错误',
    'cms_post_referer'              => '此来源网址已入库',
    'cms_post_fail'                 => '添加失败',
];